summaryrefslogtreecommitdiffstats
path: root/tests/code_analysis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/code_analysis.sh')
-rwxr-xr-xtests/code_analysis.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/code_analysis.sh b/tests/code_analysis.sh
new file mode 100755
index 000000000..d8ede8d4b
--- /dev/null
+++ b/tests/code_analysis.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+sloccount --duplicates --wide --details pyload > sloccount.sc
+
+echo "Running pep8"
+
+pep8 pyload > pep8.txt
+
+echo "Running pyflakes"
+
+# pyflakes to pylint syntak
+find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
+# Filter warnings and strip ./ from path
+cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
+sed -i 's/^.\///g' pyflakes.txt